Create Customer

Create and store customer records tied to their merchant accounts.

Create Customer

The Create a Customer endpoint allows merchants to create and store customer records tied to their merchant accounts. This is essential for enabling streamlined future transactions without requiring repeated customer registration. Each customer created is assigned a unique identifier (customer_id) using a universally unique identifier (UUID).


Key Features

user
Customer Profiles

Store customer details such as name, email, and company information

fingerprint
UUID Assignment

Automatically assigns a unique customer_id for use in subsequent API calls

map-marker-alt
Address Support

Supports ISO 3 code for address_country, sent to processing gateway when provided

cogs
Custom Fields

Add customer-specific custom fields to capture additional data unique to your business

Data Validation

Requires at least one of the following fields to create a record: firstname, lastname, email, or company.

Body Params
string

Max: 255. Required if no lastname, email, company supplied

string

Max: 255. Required if no firstname, email, company supplied

string

Max: 255. Required if no firstname, lastname, company supplied

string

Max: 255. Required if no firstname, lastname, email supplied

string

Matching regex: /[0-9]{10,15}/

string

Max: 255

string

Max: 255

string

Max: 255

string

Max: 2 Use the two-letter state abbreviation.

string

Max: 16

string

Max: 3

string

Max: 21844. For internal notes only; not visible to customers in invoices or communications.

string

Max: 255. This field is for the merchant's internal use.

files
array of strings

Array of strings(50) where each index is a valid file_id

files
cc_emails
array of strings

Array of strings(255) where each index is a valid email address.

cc_emails
cc_sms
array of strings

Array of strings(255) where each item is a valid phone number.

cc_sms
boolean
options
object

Additional customer options such as custom fields

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json